Subject: [Gen-art] Gen-ART review of draft-ietf-psamp-protocol-08.txt

From: Suresh Krishnan <[email-masked]>
Date: Mon, 05 Nov 2007 18:13:11 -0500

I am the assigned Gen-ART reviewer for
draft-ietf-psamp-protocol-08.txt

For background on Gen-ART, please see the FAQ at
<http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.

Please resolve these comments along with any other Last Call comments
you may receive.

Summary: This draft is almost ready, but I have a couple of comments.

* I think section 3.1 should be removed and be replaced with a reference 
to the IPFIX proto terminology section. Since it is copied and pasted in 
here, it cannot pickup any changes to the IPFIX proto document (say in 
AUTH48).

* Similarly, the terminology from psamp-sample-tech is copied over and 
is out of sync with the psamp-sample-tech-10 draft.

* If conflicting terminology exists in IPFIX and PSAMP-TECH, it is not 
clear which one takes precedence. This is probably worth stating.

* In Section 6.4.1 the IPFIX Template Record ascii art spans pages. Is 
it possible to insert a page break before this so that it appears in one 
page.

Cheers
Suresh

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 22 Nov 2007 11:14:02 -0500

Hi Benoit,
   The proposed changes work for me. I will look forward to the revised 
draft.

Thanks
Suresh

Benoit Claise wrote:
> Hi Suresh,
> 
> Thanks for taking the time to review the draft.
> See inline.
>> * I think section 3.1 should be removed and be replaced with a 
>> reference to the IPFIX proto terminology section. Since it is copied 
>> and pasted in here, it cannot pickup any changes to the IPFIX proto 
>> document (say in AUTH48).
> Ok. Let's remove the definitions in section 3.1
> 
> OLD:
> 
> The IPFIX terminology section has been entirely copied over from 
> [IPFIX-PROTO], except for the IPFIX Exporting Process term, which is 
> defined more precisely in the PSAMP terminology section.
> 
> NEW:
> 
> IPFIX-specific terminology used in this document is defined in section 2 
> of [IPFIX-PROTO].  The only exception is the IPFIX Exporting Process 
> term, which is defined more precisely in the PSAMP terminology section. 
> As in [IPFIX-PROTO], these IPFIX-specific terms have the first letter of 
> a word capitalized when used in this document.
> 
>>
> I cc'ed Tanja Zseby, as she is the editor of [PSAMP-TECH]
> 
> Ok. Let's remove the definitions in section 3.2
> 
> OLD:   
> 
> The PSAMP terminology section has been copied over from [PSAMP-TECH].
> 
> NEW:
> PSAMP-specific terminology used in this document is defined in section 3 
> of [PSAMP-TECH].  As in [PSAMP-TECH], these PSAMP-specific terms have 
> the first letter of a word capitalized when used in this document.
> 
> 
> 
> Now, I compared the terminology section in [PSAMP-PROTO] and 
> [PSAMP-TECH]. I see three categories
> _Category 1: terms defined in [PSAMP-PROTO], but not defined in 
> [PSAMP-TECH], that we should define in [PSAMP-TECH]: _
> Selector ID, Content-independent Sampling, Content-dependent Sampling.
> Let's copy the definition from [PSAMP-PROTO] in [PSAMP-TECH]
> _Category 2: terms with different definitions in [PSAMP-PROTO] and 
> [PSAMP-TECH]
> _Packet Stream: [PSAMP-TECH] shoud use the [PSAMP-PROTO]. Was flagged on 
> the mailing list on 10/21/2006 by Paul Aitken
> Packet Content: [PSAMP-TECH] should contain the update from Dan 
> Romanascu. See 
> http://www1.ietf.org/mail-archive/web/psamp/current/msg00379.html
> Filtering: [PSAMP-TECH] should keep its definition
> Sampling: [PSAMP-TECH] should use the definition from [PSAMP-PROTO]
> _Category 3: terms defined differently in both [PSAMP-TECH] and 
> [IPFIX-PROTO]_
> Observation Point: [PSAMP-PROTO] should use the one from [IPFIX-PROTO].  
> [PSAMP-TECH] should use the same
> Metering Process:  [PSAMP-PROTO] should use the one from [PSAMP-TECH]
> Exporting Process: [PSAMP-PROTO] should use the one from [PSAMP-TECH]
> Collector: [PSAMP-PROTO] should use the one from [PSAMP-TECH]
> Conclusion: if [PSAMP-TECH] copied over the Observation Point definition 
> from [IPFIX-PROTO], I could write in [PSAMP-PROTO]: "When conflicting 
> terminology exists between [IPFIX-PROTO] and [PSAMP-TECH], the 
> definitions in [PSAMP-TECH] take precedence. This applies for example to 
> the Metering Process, the Exporting Process, and the Collector"
> 
>>
> See my last sentence
>> it possible to insert a page break before this so that it appears in 
>> one page.
> Ok.
> 
> Please let me know what you think of the proposed changes.
> 
> I'm still waiting for the reviews from the transport area directors, and 
> I'll publish a new version of the draft.
> 
> Regards, Benoit.
>>
>> Cheers
>> Suresh
>

---

From: Benoit Claise <[email-masked]>
Date: Thu, 22 Nov 2007 17:09:34 +0100

Hi Suresh,

OLD:

NEW:

OLD:   

NEW:

See my last sentence
Ok.

Regards, Benoit.